### A free/open-source library for quantitative finance

Classes | Public Member Functions
OneFactorModel Class Reference
Short-rate modelling framework

Single-factor short-rate model abstract class. More...

`#include <ql/models/shortrate/onefactormodel.hpp>`

Inheritance diagram for OneFactorModel:
[legend]

List of all members.

## Classes

class | ShortRateDynamics
| Base class describing the short-rate dynamics. More...
class | ShortRateTree
| Recombining trinomial tree discretizing the state variable. More...

## Public Member Functions

| OneFactorModel (Size nArguments)
virtual boost::shared_ptr < ShortRateDynamics > | dynamics () const =0
| returns the short-rate dynamics
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.

## Detailed Description

Single-factor short-rate model abstract class.